Skip to main content
GET
Delivers a queryable overview list of all MarketplaceOfferListItem

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

expirationDateAfter
string<date-time>

Only include items whose ExpirationDate is after (greater than) this value.

expirationDateBefore
string<date-time>

Only include items whose ExpirationDate is before (less than) this value.

activeSinceAfter
string<date-time>

Only include items whose ActiveSince is after (greater than) this value.

activeSinceBefore
string<date-time>

Only include items whose ActiveSince is before (less than) this value.

inboundAvailableAtAfter
string<date-time>

Only include items whose InboundAvailableAt is after (greater than) this value.

inboundAvailableAtBefore
string<date-time>

Only include items whose InboundAvailableAt is before (less than) this value.

lastUploadAfter
string<date-time>

Only include items whose LastUpload is after (greater than) this value.

lastUploadBefore
string<date-time>

Only include items whose LastUpload is before (less than) this value.

quantityUpdatedAtAfter
string<date-time>

Only include items whose QuantityUpdatedAt is after (greater than) this value.

quantityUpdatedAtBefore
string<date-time>

Only include items whose QuantityUpdatedAt is before (less than) this value.

priceUpdatedAtAfter
string<date-time>

Only include items whose PriceUpdatedAt is after (greater than) this value.

priceUpdatedAtBefore
string<date-time>

Only include items whose PriceUpdatedAt is before (less than) this value.

statusReceivedAtAfter
string<date-time>

Only include items whose StatusReceivedAt is after (greater than) this value.

statusReceivedAtBefore
string<date-time>

Only include items whose StatusReceivedAt is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>